@import "@/styles/variables";

.project-info {
    position: relative;
    grid-column: 1 / -1;
    width: 100%;
    height: 30rem;

    @include notebook {
        &::after {
            content: "";
            background-color: $primary-color;
            position: absolute;
            top: 0;
            width: 35%;
            height: 30rem;
            z-index: 3;
            mix-blend-mode: multiply;
        }
    }

    img {
        object-fit: cover;
        object-position: 50% 10%;
    }

    .text-field {
        @include paragraph-mobile;
        @include col;

        width: 85vw;
        padding: 2rem 2.25rem 2.5rem;
        background-color: $white;
        height: fit-content;
        position: absolute;
        top: 20rem;
        right: 0;
        z-index: 4;
        gap: 2rem;

        @include shadow-high;

        @include tablet {
            height: 280px;
        }

        @include notebook {
            width: 37vw;
            height: 20rem;
            top: 5rem;
            left: 5rem;
        }

        @include desktop {
            left: calc((100vw - $max-inner-width) / 2);
        }

        @include desktop-lg {
            left: calc((100vw - $max-inner-width) / 4);
        }
    }
}
